﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using SL_xamGrid_RIA.Web;
using System.ServiceModel.DomainServices.Client;
using Infragistics;
using Infragistics.Controls.Grids.Primitives;
using Infragistics.Controls.Grids;

namespace SL_xamGrid_RIA
{
    public partial class MainPage : UserControl
    {
       
        public MainPage()
        {
            InitializeComponent();           
           
            source.LoadingData += new EventHandler<LoadingDataEventArgs>(source_LoadingData);
            source.LoadedData += new EventHandler<LoadedDataEventArgs>(source_LoadedData);

            xamGrid2.PropertyChanged += new System.ComponentModel.PropertyChangedEventHandler(xamGrid2_PropertyChanged);
        }

        void xamGrid2_PropertyChanged(object sender, System.ComponentModel.PropertyChangedEventArgs e)
        {
            System.Diagnostics.Debug.WriteLine("xamGrid2_PropertyChanged");
        }

        void source_LoadingData(object sender, LoadingDataEventArgs e)
        {
            msgBlk2.Text = msgBlk2.Text + "Loading Data";
        }

        void source_LoadedData(object sender, LoadedDataEventArgs e)
        {
           // xamGrid2.ItemsSource = (IEnumerable<Entity>)e.AllEntities;

            if (e.HasError)
            {
                return;
            }

            IEnumerable<Entity> entities = (IEnumerable<Entity>)e.AllEntities;

            msgBlk2.Text = msgBlk2.Text + "\nEntities Loaded - All: " + entities.Count() +
                " Top level: " + e.Entities.Count();

            if (xamGrid2.ItemsSource == null)
                LoadGrid2(entities);            
        }

             private void LoadGrid2(IEnumerable<Entity> entities)
        {
            xamGrid2.ItemsSource = (from prod in entities
                                    select prod).ToList();
        }
    }
}
